function usevscroll(src,offset)
%increment a drawvscroll by the indicated offset. Offset may be positive or negative.


ax=src(4);
ylim=get(ax,'ylim');
sliderpos=get(ax,'position');

%knobax=findobj(get(gca,'parent'),'tag','hknob');
userdata=get(ax,'userdata');
knobax=userdata(1);
knobpos=get(knobax,'position');

oldcoord=knobpos(2)-sliderpos(2);
jump=knobpos(4);

offset = -offset*25; %scroll 100 pixels per notch

newcoord=oldcoord+offset;
if newcoord>sliderpos(4)-19-jump;newcoord=sliderpos(4)-19-jump;end;%19;newcoord=19;end;
if newcoord<19;newcoord=19;end;

knobpos(2)=newcoord+sliderpos(2);
set(knobax,'position',knobpos)%,'userdata',knobpos(1));

%dig up callback and peer from background image buttondownfcn:
img = get(ax,'children');
bfcn = get(img,'buttondownfcn');
minvalue = bfcn{2};
maxvalue = bfcn{3};
callback = bfcn{4};
peer = bfcn{5};

newvalue=(newcoord-19)*(maxvalue-minvalue)/(ylim(2)-ylim(1)-39);


for p=1:numel(peer);
    callback(peer(p),[],newvalue);
end

set(ax,'userdata',[double(knobax) newvalue])
