function vertlistboxscroll(src,ev,newvalue) %#ok<INUSL>
%scroll a listbox vertically to the new position in newvalue.
%newvalue is number of pixel that should appear at top of table (just below
%colheader)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

u=get(src,'userdata');
tax=u(1);
p=u(2);

pos=get(tax,'position');

%handles=guidata(src);

%ai=find(handles.allgraphs==src);

%udata=get(handles.fakeax(ai),'userdata');

%pos=get(handles.fakerax(ai),'position');

%on vertical scroll, move main table and row headers.
maintable=tax;
texttab=src;

oldtablepos=get(maintable,'position');

newpos=-newvalue;
% if newpos<pos(4)-oldtablepos(4)
%     newpos=pos(4)-oldtablepos(4);
% end

%hide old text:
tablepos=get(src,'position');
texthandles=get(tax,'userdata'); 

firstvisiblerow=ceil((tablepos(4)+tablepos(2)-pos(4))/16);
if firstvisiblerow<1;firstvisiblerow=1;end;
lastvisiblerow=ceil((tablepos(4)+tablepos(2))/16);
if lastvisiblerow>size(texthandles,1);lastvisiblerow=size(texthandles,1);end;

set(texthandles(firstvisiblerow:lastvisiblerow,1),'visible','off');

set([maintable texttab],'position',[oldtablepos(1) newpos-1 oldtablepos(3:4)]);

%hide invisible rows:
tablepos=get(src,'position');


firstvisiblerow=ceil((tablepos(4)+tablepos(2)-pos(4))/16);
if firstvisiblerow<1;firstvisiblerow=1;end;
lastvisiblerow=ceil((tablepos(4)+tablepos(2))/16);
if lastvisiblerow>size(texthandles,1);lastvisiblerow=size(texthandles,1);end;



%set(texthandles,'visible','off');
set(texthandles(firstvisiblerow:lastvisiblerow,1),'visible','on');

