function ravecreatestandalonecolorbar(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);

raveresizeaxes(src,[],handles.activeindex) %make appropriate margins for this graph type.
clear ravearrangeobjects

%get format inputs:
udata=get(handles.fakeax(handles.activeindex),'userdata');

d=udata.view.dataset;
a=udata.view.analysis;

udata.view.clim=[handles.minlimit{d}{a}(udata.view.c) handles.maxlimit{d}{a}(udata.view.c)];
set(handles.fakeax(handles.activeindex),'userdata',udata);

set(handles.activegraph,'visible','off')
xlab=get(handles.activegraph,'xlabel');
set(xlab,'string','asfasdf');
set(handles.fakeax(handles.activeindex),'visible','off');
set(handles.fakerax(handles.activeindex),'visible','off');

ravemakecolorbar(handles.fig,[]);

handles=guidata(src);
legdata=get(handles.fakerax(handles.activeindex),'userdata');
cbar=findobj(legdata,'tag','Colorbar');
label=get(cbar,'ylabel');
set(label,'string',udata.format.clabel);


raveresizeaxes(handles.fig,[],handles.activeindex);
clear ravearrangeobjects



