function raveupdateticksderivativeprofiler(src,ev,axis)

handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

ai=get(src,'userdata');

[r,c]=find(handles.subax{ai}==src);

%first replace ticks for all axes (important, do this for all axes to avoid
%errors with ravemovecustomticks
for i=1:numel(axis)
    switch axis(i)
        case 'x'
            %drawnow;
            if udata.format.xlabelbelow
                if r==size(handles.subax{ai},1) %avoid drawing xticklabels on any row but the last one
                    ravemaketextticks(src,[],udata.view.x(c),[],[]);
                end
            end
        case 'y'
            %drawnow;
            if c==1
                if udata.view.singleyaxis
%                     yticks=get(src,'ytick');
%                     yticklabels=num2cell(yticks);
%                     yticklabels=cellfun(@num2str,yticklabels,'UniformOutput',false);
                    ravemaketextticks(src,[],[],-1,[],[],[])
                else
                    ravemaketextticks(src,[],[],udata.view.y(r),[]);
                end
            end
    end
end

%now relocate all ticks to proper location:
ravemovecustomticks(src,[],0);

%restore to correct font size since matrix plots use a smaller font:
allticks=findall(handles.subax{ai}(r,c),'tag','xticklabel','-or','tag','yticklabel');
set(allticks,'fontsize',handles.fonts.matrixsize);


