function udata=raveinitializeudataplaneprofiler(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
%inputs.xdials=[];

for dd=numel(handles.datasetnames):-1:1 %for each dataset:
    deps=find(handles.isfunction{dd},2);
    if numel(deps)==2
        inputs.x=deps(1);
        inputs.y=deps(2);
        inputs.dataset=dd;
                
        Z=union(handles.funvars{dd}{deps(1)},handles.funvars{dd}{deps(2)});
        Z=Z(~handles.isconstant{dd}(Z));
        udata.view.isvalid=1;
        break
    elseif ~isempty(deps)
        inputs.x=deps;
        inputs.y=deps;
        inputs.dataset=dd;
        
        Z=handles.funvars{dd}{deps};
        Z=Z(~handles.isconstant{dd}(Z));
        udata.view.isvalid=1;
        break
    end
end

if isempty(inputs.y) || isempty(inputs.x);
    inputs.x=[];
    inputs.y=[];
    inputs.z=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
end

%make viewtab info:
udata.view.y=inputs.y;
udata.view.x=inputs.x;
udata.view.z=Z;

udata.view.layout='square'; %options: square, lower, upper, rectangle.
udata.view.npoints=20; %number of contours to draw
udata.view.clim=[0 1];

%make format tab info:
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.linesize=1; %line thickness;
udata.format.usevariablecolors=0; %for tracers
udata.format.showpoints=0;
udata.format.showticks=1;
udata.format.pointcolor=[.85 .85 .85];
