function udata=raveinitializeudatahyperslice(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
%inputs.xdials=[];

for dd=numel(handles.datasetnames):-1:1 %for each dataset:
    z=find(handles.isfunction{dd},1);
    if ~isempty(z)
        inputs.z=z;
        inputs.dataset=dd;
        inputs.x=handles.funvars{dd}{z};
        inputs.x=inputs.x(~handles.isconstant{dd}(inputs.x));
        inputs.y=inputs.x;
        udata.view.isvalid=1;
        break
    end
end

if isempty(z) || isempty(inputs.x);
    inputs.x=[];
    inputs.y=[];
    inputs.z=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
end


udata.attributes={'alwaysrotatexticks'};

%make viewtab info:

udata.view.y=inputs.y;
udata.view.x=inputs.x;
udata.view.z=inputs.z;

udata.view.c=inputs.z;
udata.view.layout='square'; %options: square, lower, upper, rectangle.
%         udata.view.mainhandles=cell(0); %[vector of contour handles returned by contourplot function]
%         udata.view.tracerhandles=cell(0); %[verticaltracer horizontaltracer]
udata.view.ncont=20; %number of contours to draw
udata.view.smooth=10; %number of points to use in contour grid
udata.view.levels=[]; %contour levels to evaluate (filled in by ravecreatehyperslice);

%make format tab info:
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.mcmap=handles.prefs.defaultcolormap; %marker colormap (index?)
udata.format.markerfill=2;
udata.format.linestyle='-'; %line style string
udata.format.linesize=2; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value

udata.format.bold=0; %bold tracers
udata.format.usevariablecolors=0; %for tracers
udata.format.tracercolor=handles.colors.text;
udata.format.showpoints=0;
