function udata=raveinitializeudatascatter(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

d=1; %default data set index

vars=find(~handles.isconstant{d},2);
try
    x=vars(1);
    y=vars(2);
catch
    x=1;
    y=1;
end

%make viewtab info:
udata.view.x=x;
udata.view.y=y;

udata.view.uselines=false;

udata.view.filthandles=[];
udata.view.mainhandles=[];
udata.view.selhandles=[];
udata.view.patchidx=[];

%make format tab info:
udata.format.marker='o'; % marker string
udata.format.minmarkersize=25; %min marker size (pixels^2)
udata.format.maxmarkersize=625; %max marker size (pixels^2)
udata.format.markerfill=2; %marker fill style index.
udata.format.mcmap=handles.prefs.defaultcolormap; %marker colormap
udata.format.lcheck=1; %line check box value
udata.format.ncolor=0; %noisy colors check box value;

udata.format.updatedials=1; %update xdials when a single point is clicked;

udata.format.edgecolor=handles.colors.edgecolor;

