function udata=raveinitializeudatascattermatrix(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

%make scatterplot by default contain the first two variables in the
%list. for SPM x is vector of all vars to include, y and c are not
%used.
x=[1 2];

%initialize subplot axes structure:
handles.subax{handles.activeindex}=[];
handles.subfakeax{handles.activeindex}=[];
handles.subfakerax{handles.activeindex}=[];

udata.attributes={'alwaysrotatexticks'};

%make viewtab info:

udata.view.x=x;
udata.view.y=x;

udata.view.layout='square'; %options: square, lower, upper, rectangle.
udata.view.mainhandles=[];
udata.view.selectedhandles=[];
udata.view.filteredhandles=[];

%make format tab info:
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.mcmap=handles.prefs.defaultcolormap; %marker colormap 
udata.format.markerfill=2;
udata.format.linestyle='-'; %line style string
udata.format.linesize=2; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value
