function udata=raveinitializeudatabubbleplot(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

d=1; %default data set index

iscategorical=find(ismember(handles.datatype{d},'discrete') | ismember(handles.datatype{d},'string'),1);
isnumerical = find(~ismember(handles.datatype{d},'string'),2);
if isnumerical(1)==iscategorical;isnumerical=isnumerical(2);end;

if isempty(iscategorical) || isempty(isnumerical)
    udata.view.z=-1; %stack by (categorical)
else
    udata.view.x=iscategorical; %x axis (categorical)
    udata.view.y=isnumerical(1); %y axis (numerical)
    udata.view.z=-1; %stack by (categorical) 0 = none.
    udata.view.c=isnumerical(1); %

end

%make viewtab info:
udata.view.exponent=1; %relative width of bars.
udata.view.normalize=0; %show percentages instead of counts;
udata.view.stack=1; %stack vertically instead of horizontally;
udata.view.aggregateby=1; %1=sum, 2=average
udata.view.centers=[]; %x/y data of circle centers
udata.view.radii=[]; %radius of each circle

%make format tab info:
udata.format.facecolor=[.3 .6 1]; %face color
udata.format.edgecolor=handles.colors.edgecolor;
udata.format.drawedge=1;
udata.format.showlabels=0;
udata.format.colormode=1; %color by barcolors, colormap, or fixed color?
udata.format.selectionmode=1; %show selection as edge or by darkening circles?
udata.format.sortby=1; %1=table order, 2=largest in center, 3=smallest in center.
