function LL=ravenbiplotsearchdirection(settings,basepoint,quasinorm,j)
%plots a line from basepoint to basepoint+quasinorm

LL=[];

if ~settings.plotprogress;return;end
[check,idx]=ismember(settings.plotvars,settings.y);
if ~all(check)
    return
end

basepoint=basepoint(idx,:);


scale=1; %length of search direction lines
quasinorm=quasinorm*scale;

%draw search direction:
switch settings.plottype
    case 'single'
        LL=line([basepoint(1,j) basepoint(1,j)+quasinorm(1)],[basepoint(2,j) basepoint(2,j)+quasinorm(2)],'marker','none',...
            'linestyle','-','parent',settings.plotaxes,'tag','nbisearchdir','color',[132 192 233]/255,'hittest','off');
    case {'3D','3d'}
        if size(basepoint,1)>=3
        LL=line([basepoint(1,j) basepoint(1,j)+quasinorm(1)],[basepoint(2,j) basepoint(2,j)+quasinorm(2)],[basepoint(3,j) basepoint(3,j)+quasinorm(3)],'marker','none',...
            'linestyle','-','parent',settings.plotaxes,'tag','nbisearchdir','color',[132 192 233]/255,'hittest','off');
        end
end

drawnow;