function L=ravenbiplotweightgrid(settings,vtx)

L=[];

if ~settings.plotprogress;return;end

[check,idx]=ismember(settings.plotvars,settings.y);

if ~all(check)
    return
end

vtx=vtx(idx,:);

switch settings.plottype
    case 'single'
        L=line(vtx(1,1),vtx(2,1),'marker','o','markersize',6,'linestyle','none','parent',settings.plotaxes,'tag','nbigrid','markerfacecolor',[.7 .7 .7],...
            'markeredgecolor',[.4 .4 .4],'hittest','off');
        if size(vtx,2)<100;drawnow;end
        for j=2:size(vtx,2)
            set(L,'xdata',vtx(1,1:j),'ydata',vtx(2,1:j))
            if size(vtx,2)<100;drawnow;end
        end
    case {'3D','3d'}
        L=line(vtx(1,1),vtx(2,1),vtx(3,1),'marker','o','markersize',6,'linestyle','none','parent',settings.plotaxes,'tag','nbigrid','markerfacecolor',[.7 .7 .7],...
            'markeredgecolor',[.4 .4 .4],'hittest','off');
        if size(vtx,2)<100;drawnow;end
        for j=2:size(vtx,2)
            set(L,'xdata',vtx(1,1:j),'ydata',vtx(2,1:j),'zdata',vtx(3,1:j))
            if size(vtx,2)<100;drawnow;end
        end
end




