function ravehyperlinkgotopage(src,newpage,x,y)
%Set workspace view to the specified page, and scroll so that the point
%(x,y) (in pixel coordinates) is in the top left corner.

if nargin==1
    x=0;
    y=0;
end

handles=guidata(src);
handles.lastsheet=handles.activesheet;


newpage=round(str2double(get(src,'string')));

oldpage=handles.activesheet;

if isnan(newpage) || isinf(newpage)
    newpage=oldpage;
elseif newpage<0;
    newpage=0;
elseif newpage>max(handles.sheet)+1
    newpage=max(handles.sheet)+1;
end 

set(handles.pageedit,'string',num2str(newpage));

if newpage==oldpage;return;end %do nothing if there is nothing to do.

handles.activesheet=newpage;
guidata(handles.fig,handles);

if newpage>0 && handles.lastsheet>0;
    ravedisplaypage(handles.fig,[]);
else
    showhideworkspace(handles.fig,[]);
end

%Scroll to desired point on page:


