function ravehyperlinkhighlightmcode(src,tag,lines)
%Highlights the specified lines in the mcode object with the specified tag.
handles=guidata(src);


AI=find(strcmp(tag,handles.graphtags));
if isempty(AI);
    warning(['RaveHyperLinkHighlightMCode: No mcode object exists with the specified tag: ',tag])
    return;
end
    
for ai=AI
    udata=get(handles.fakeax(ai),'userdata');
    js=get(udata.view.jscroll,'javapeer');
    v=js.getViewport;
    je=v.getComponent(0);
    je.setHighlightedLines(lines-1); 
end





