function ravesetboxselectionmode(src,ev,value)
handles=guidata(src);

otherbuttons=findobj(handles.tabobjects,'tag','lassobutton','-or','tag','pointbutton');
set(otherbuttons,'value',0);

discretecontrols=findobj(handles.allgraphs(ishandle(handles.allgraphs)),'userdata','discretecontrols');
if ~isempty(discretecontrols)
    idx=find(handles.allgraphs==discretecontrols);
    for i=1:numel(idx)
        uuu=get(handles.fakeax(idx(i)),'userdata');
        unpushtogglebutton(uuu.view.pointbutton,[]);
        unpushtogglebutton(uuu.view.lassobutton,[]);
        pushtogglebutton(uuu.view.boxbutton,[]);
    end
end

if nargin<3
    value=get(src,'value');
end

if value
    handles.selectionmode='box';
else
    handles.selectionmode='none';
end

if strcmp(handles.activetab,'row')
    thisbutton=findobj(handles.tabobjects,'tag','boxbutton');
    set(thisbutton,'value',value);
end

%update context menu:
lassomenu=findobj(handles.contextmenus.workspace,'label','Lasso Selection Mode');
set(lassomenu,'checked','off')
boxmenu=findobj(handles.contextmenus.workspace,'label','Box Selection Mode');
set(boxmenu,'checked','on')
pointmenu=findobj(handles.contextmenus.workspace,'label','Point Selection Mode');
set(pointmenu,'checked','off')


guidata(src,handles);

%update graphs if necessary:
for ai=1:numel(handles.allgraphs)
    if ~ishandle(handles.allgraphs(ai));continue;end
    thistype=get(handles.allgraphs(ai),'userdata');
    if ~isempty(which(['ravesetselectionmode',thistype,'.m']));
        funhandle=str2func(['ravesetselectionmode',thistype]);
        funhandle(handles.fig,ai);
    end
end

