function raveslidelabel(src,ev,targetaxes)
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu



t=1;

newpoint=get(targetaxes,'currentpoint');


%need to find the point along the line defined where the newpoint line
%intersects the plane around 10% below the minimum zvalue on the graph. 


zvals=get(targetaxes,'zlim');

zval=min(zvals)-.1*diff(zvals);

xval=interp1(newpoint(:,3),newpoint(:,1),zval,'linear','extrap');
yval=interp1(newpoint(:,3),newpoint(:,2),zval,'linear','extrap');

set(get(0,'userdata'),'position',[xval yval zval])
