function raveupdateoptimizertypes(src,ev)

handles=guidata(src);

raveroot=which('rave');
raveroot=raveroot(1:end-6);
handles.optimizerinfo=struct;
optimizerclasses={'single';'multi';'ranking'};
for G=1:numel(optimizerclasses)
    
    maindir=fullfile(raveroot,'optimizers',[optimizerclasses{G}]);
    optimizertypes=dir(maindir);
    
    for g=3:numel(optimizertypes)
        if optimizertypes(g).isdir
            thisname=optimizertypes(g).name;
            %remove leading numbers:
            firstletter=find(isstrprop(thisname,'alpha'),1);
            keyword=thisname(firstletter:end);
            %get graphinfo:
            fid=fopen(fullfile(maindir,thisname,'optimizerinfo.txt'),'r');
            
            settings=struct;
            try
                eval(['optimizersettings',keyword]);
            catch
                addpath(fullfile(maindir,thisname))
                eval(['optimizersettings',keyword]);
            end
            
            handles.optimizerinfo.(keyword)=settings;
            handles.optimizerinfo.(keyword).longname=fgetl(fid);
            handles.optimizerinfo.(keyword).class=optimizerclasses{G};
            
            fclose(fid);
        end
    end
end

guidata(handles.fig,handles);

