function udata=raveinitializeudatacarpet2d(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

inputs.y=[];
inputs.x=[];
inputs.dataset=[];
%inputs.xdials=[];

for dd=numel(handles.datasetnames):-1:1 %for each dataset:
    z=find(handles.isfunction{dd},1);
    if ~isempty(z)
        inputs.z=z;
        inputs.dataset=dd;
        X=handles.funvars{dd}{z};
        X=X(~handles.isconstant{dd}(X));
        inputs.x=X(1);
        if numel(X)>1
            inputs.y=X(2);
        else
            inputs.y=X(1);
        end
        
        udata.view.isvalid=1;
        break
    end
end

if isempty(z) || isempty(inputs.x);
    inputs.x=[];
    inputs.y=[];
    inputs.z=[];
    inputs.dataset=1;
    udata.view.isvalid=0;
end

%make viewtab info:
udata.view.y=1;
udata.view.x=1;
udata.view.z=1; %z is variable to sweep through
udata.view.c=1; %c is variable to take steps of

udata.view.steps=[];

udata.view.layout='square'; %options: square, lower, upper, rectangle.
%       udata.view.mainhandles=cell(0); %[vector of contour handles returned by contourplot function]
%       udata.view.tracerhandles=cell(0); %[verticaltracer horizontaltracer]
udata.view.numpts1=10; %number of levels to test sweepvar1
udata.view.numpts2=10; %number of levels to test sweepvar2
udata.view.isvisible1=1;
udata.view.isvisible2=1;
udata.view.surfacehandles=[];
udata.view.showcurrentpoint=1;
udata.view.currentpointhandle=[];

%make format tab info:
udata.format.marker='s'; % marker string
udata.format.markersize=2; %marker size
udata.format.mcmap1=4; %marker colormap
udata.format.mcmap2=8; %marker colormap

udata.format.markerfill=2;
udata.format.linestyle='-'; %line style string
udata.format.linesize=1; %line thickness;
udata.format.lcmap=1; %line colormap (index?)
udata.format.mcheck=1; %marker check box value
udata.format.lcheck=1; %line check box value

udata.format.reversecolors=0; %note, color reversal is actually handled by the next lines. this line is here only because ravemakercolorbar expects it to be.
udata.format.reversecolors1=0;
udata.format.reversecolors2=0;
udata.format.bold=0; %bold tracers
udata.format.usevariablecolors=0; %for tracers
udata.format.tracercolor=handles.colors.text;
udata.format.showpoints=0;

