function ravearrangeobjectsgraphproject(src,ev,ai)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.

handles=guidata(src);

if nargin<3
    ai=handles.activeindex;
end



udata=get(handles.fakeax(ai),'userdata');

%raveresizeaxes(src,[],handles.activeindex)
pos=get(handles.activegraph,'position');


set(handles.activegraph,'xlim',[1 pos(3)],'ylim',[1 pos(4)]);
%set(handles.fakeax(handles.activeindex),'userdata',udata);

hasdmenu=udata.view.ispresent(1) && udata.view.isvisible(1);
hasamenu=udata.view.ispresent(2) && udata.view.isvisible(2);

switch udata.format.layout
    case 'horizontal'
        off=0;
        if hasdmenu
            set(udata.view.D.menutext,'position',[0,pos(4)-10]);
            set(udata.view.D.menuobj,'position',[pos(1)+10,pos(2)+pos(4)-37 200 22]);
            set(udata.view.D.menujobj,'position',[pos(1)+10,pos(2)+pos(4)-37 200 0.1]);
            off=off+220;
        end
        
        if hasamenu
            set(udata.view.A.menutext,'position',[off,pos(4)-10]);
            set(udata.view.A.menuobj,'position',[pos(1)+off+10,pos(2)+pos(4)-37 200 22]);
            set(udata.view.A.menujobj,'position',[pos(1)+off+10,pos(2)+pos(4)-37 200 0.1]);
            off=off+220;
        end
    case 'vertical'
        off=10;
        if hasdmenu
            set(udata.view.D.menutext,'position',[0,pos(4)-off]);
            off=off+27;
            set(udata.view.D.menuobj,'position',[pos(1)+10,pos(2)+pos(4)-off 200 22]);
            set(udata.view.D.menujobj,'position',[pos(1)+10,pos(2)+pos(4)-off 200 0.1]);
            off=off+25;
        end
        
        if hasamenu
            set(udata.view.A.menutext,'position',[0,pos(4)-off]);
            off=off+27;
            set(udata.view.A.menuobj,'position',[pos(1)+10,pos(2)+pos(4)-off 200 22]);
            set(udata.view.A.menujobj,'position',[pos(1)+10,pos(2)+pos(4)-off 200 0.1]);
            off=off+25;
        end
   
end





