function ravelinkgraphproject(src,ev,ai,idx)
%link the graph axes with index ai to the graph with index idx. This
%function is only used when the linked graph is changed, and it resets most
%of the control properties to their default values.
%EVEN MORE CRAZIER VERSION

handles=guidata(src);
udata=get(handles.fakeax(ai),'userdata');

idx=udata.view.linkedindex;

delete(udata.view.D.menuobj);
delete(udata.view.A.menuobj);
delete(udata.view.D.menujobj);
delete(udata.view.A.menujobj);

udata.view.D.menuobj=[];
udata.view.A.menuobj=[];
udata.view.D.menujobj=[];
udata.view.A.menujobj=[];


if idx==0 %reset control.
    oldindex=handles.activeindex;
    handles.activeindex=ai;
    guidata(handles.fig,handles);

    raveinitializegraphproject(handles.fig,[]);
    handles=guidata(handles.fig);
    handles.activeindez=oldindex;
    guidata(handles.fig,handles);
    return
end

uuu=get(handles.fakeax(idx),'userdata');
udata.view.dataset=uuu.view.dataset;
udata.view.analysis=uuu.view.analysis;

delete(udata.view.tabobjects(ishandle(udata.view.tabobjects)));

%pure insanity:
if ~ishandle(handles.allgraphs(idx))
    udata.view.linkedindex=0;
    return
end

type=get(handles.allgraphs(idx),'userdata');

activetab=handles.activetab;
originalgraph=handles.activegraph;
originalidx=handles.activeindex;
originaltype=handles.activetype;

handles.activegraph=handles.allgraphs(idx);
handles.activeindex=idx;
handles.activetype=type;
guidata(handles.fig,handles);

viewtab(handles.fig,[]);

handles=guidata(handles.fig);

datasetmenu=findobj(handles.tabobjects,'type','uicontrol','tag','datasetmenu');
analysismenu=findobj(handles.tabobjects,'type','uicontrol','tag','analysismenu');

if ~isempty(datasetmenu)
    newdmenu=copyobj(datasetmenu,handles.boneyard);
    hasdmenu=true;
else
    newdmenu=[];
    hasdmenu=false;
end

if ~isempty(analysismenu)
    newamenu=copyobj(analysismenu,handles.boneyard);
    hasamenu=true;
else
    newamenu=[];
    hasamenu=false;
end

handles.activegraph=originalgraph;
handles.activeindex=originalidx;
handles.activetype=originaltype;
guidata(handles.fig,handles);

eval([activetab,'tab(handles.fig,[]);']);
handles=guidata(handles.fig);


udata.view.ispresent=[hasdmenu hasamenu];
dothese=find([hasdmenu hasamenu]);

udata.view.D.string='';
udata.view.A.string='';

udata.view.tabobjects=[newdmenu newamenu];

strngz={'D';'A'};

delete(udata.view.D.menuobj);
delete(udata.view.A.menuobj);

for g=1:numel(dothese)
    
    menu=udata.view.tabobjects(g);
    
    q=strngz{dothese(g)};
    
    udata.view.(q).style=get(menu,'style');
    udata.view.(q).string=get(menu,'string');
    udata.view.(q).value=get(menu,'value');
    udata.view.(q).variables=1:numel(udata.view.(q).string);
    
    max=get(menu,'max');
    if strcmp(udata.view.(q).style,'listbox') && max>1
        udata.view.(q).allowmulti=1;
    else
        udata.view.(q).allowmulti=0;
    end
end

udata.view.D.menutext=[];
udata.view.D.menuobj=[];
udata.view.A.menutext=[];
udata.view.A.menuobj=[];

set(handles.fakeax(ai),'userdata',udata);

