function ravearrangeobjectsparallelcoords(src,ev)
%
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
handles=guidata(src);
udata=get(handles.fakeax(handles.activeindex),'userdata');

axpos=get(handles.activegraph,'position');

set(handles.fakeax(handles.activeindex),'position',axpos+[10 0 0 0]); %shift filter labels a little to the right


% nvars=numel(udata.view.x);
% width=axpos(3)/(nvars-1);
% maxchars=round(width/9); %approx 8 pixel per character

%for resize axis labels to fit on diagonals:
% labelz=findobj(handles.activegraph,'tag','axeslabel');
% 
% for g=numel(labelz):-1:1
%     oldstring=handles.allnames{udata.view.dataset}{udata.view.x(g)};
%     %oldstring=unlinewrap(get(labelz(g),'string'));
%     newstring=linewrap(oldstring,maxchars);
%     set(labelz(g),'string',newstring);
% end

%move colorbar if there is one:


legdata=get(handles.fakerax(handles.activeindex),'userdata');

for j=1:numel(legdata)
    if ishandle(legdata(j)) && strcmp(get(legdata(j),'tag'),'Colorbar')
        cbpos=get(legdata(j),'position');
        cbpos(1)=axpos(1)+axpos(3)+70;
        cbpos(2)=axpos(2);
        cbpos(4)=axpos(4);
        
        set(legdata(j),'position',cbpos);        
    end
end


