function udata=raveinitializeudatabarcategorical(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

d=1; %default data set index

iscategorical=find(ismember(handles.datatype{d},'discrete') | ismember(handles.datatype{d},'string'),1);
isnumerical = find(~ismember(handles.datatype{d},'string'),2);
if isnumerical(1)==iscategorical;isnumerical=isnumerical(2);end;

if isempty(iscategorical) || isempty(isnumerical)
%invalid
else
    udata.view.x=iscategorical; %x axis (categorical)
    udata.view.y=isnumerical(1); %y axis (numerical)
end

udata.view.sortby=1;

udata.attributes={};
udata.manage.israsterized=0;

%make viewtab info:
udata.view.barwidth=1; %relative width of bars.
udata.view.normalize=0; %show percentages instead of counts;
udata.view.stack=1; %stack vertically instead of horizontally;
udata.view.aggregateby=1; %1=sum, 2=average


%make format tab info:
udata.format.facecolor=[.3 .6 1]; %bar face color
udata.format.edgecolor=handles.colors.edgecolor;
udata.format.drawedge=0;
udata.format.orient='vertical'; %bar orientation
