function udata=raveinitializeudataboxplot(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

d=1; %default data set index

iscategorical=find(ismember(handles.datatype{d},'discrete') | ismember(handles.datatype{d},'string'),1);
isnumerical = find(~ismember(handles.datatype{d},'string'),2);
if isnumerical(1)==iscategorical;isnumerical=isnumerical(2);end;

if isempty(isnumerical)
    udata.view.x=0; %x axis (numerical)
else
    udata.view.x=isnumerical(1); %x axis (numerical)
    udata.view.x=[1 2 3 4];
end


%make viewtab info:
udata.view.width=1; %relative width of bars.
udata.view.normalize=0; %show percentages instead of counts;
udata.view.stack=1; %stack vertically instead of horizontally;
udata.view.style='classic';

%make format tab info:
udata.format.usevariablecolors=false;
udata.format.linecolor=[0 0 0];
udata.format.linewidth=1;
udata.format.orient='vertical'; %bar orientation
udata.format.boxwidth=0.8;

