function lassoselectternscatter(src,ev) %#ok<INUSD> %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
handles=guidata(src);
datasets=raveguidata(handles.fig,'datasets');
clear sizelassoternscatter %clear persistent vars

src=ancestor(src,'axes');


ai=find(handles.allgraphs==src);

udata=get(handles.fakeax(ai),'userdata'); 
%set(handles.fig,'windowbuttondownfcn',[]);

%check that they clicked on current graph:

%maintain manual/auto sizing:
handles.temp.axesmode=get(src,'xlimmode');
set(src,'xlimmode','manual','ylimmode','manual');

% delete(handles.axeslisteners{ai});
% handles.axeslisteners{ai}=[];

clicked=get(src,'currentpoint');

xclick=clicked(1,1,1);
yclick=clicked(1,2,1);
handles.temp.xpoints=xclick;
handles.temp.ypoints=yclick;
%fill color:
handles.temp.selection=line(xclick, yclick,'linewidth',1,'color',[1 .5 0],...
    'parent',src,'hittest','off','buttondownfcn','','clipping','on');

%uistack(handles.temp.selection,'bottom');
%maindata=findobj(src,'tag','main');

handles.temp.selected=findobj(src,'tag','selected');
handles.temp.main=findobj(src,'tag','main');

x=datasets.alldata{udata.view.dataset}(:,udata.view.x);
y=datasets.alldata{udata.view.dataset}(:,udata.view.y);
z=datasets.alldata{udata.view.dataset}(:,udata.view.z);

[x,y]=terncoords(x,z,y);

handles.temp.xdata=x;
handles.temp.ydata=y;

%allow dragging
set(handles.fig,'WindowButtonMotionFcn',@sizelassoternscatter);
set(handles.fig,'WindowButtonUpFcn',@sizeselectiondone);
set(handles.fig,'windowbuttondownfcn',[]);
guidata(src,handles);



function sizeselectiondone(src,eventdata) %#ok<INUSD>
clear sizelassoscatter
handles=guidata(src);
ai=find(handles.allgraphs==gca);
udata=get(handles.fakeax(ai),'userdata');
%stop dragging
set(handles.fig,'WindowButtonMotionFcn',@ravedefaultwindowbuttonmotionfcn);
set(handles.fig,'WindowButtonUpFcn',[]);
set(handles.allgraphs(ai),'xlimmode',handles.temp.axesmode,'ylimmode',handles.temp.axesmode)
%set(handles.temp.main,'visible','on');

%store indices of selected points.
%inpoints=get(handles.temp.selected,'userdata');
%inpoints=inpolygon(handles.temp.xdata,handles.temp.ydata,get(handles.temp.selection,'xdata'),get(handles.temp.selection,'ydata'));

try
    inpoints=raveinsidepoly(handles.temp.xdata,handles.temp.ydata,get(handles.temp.selection,'xdata'),get(handles.temp.selection,'ydata'));
catch %#ok<CTCH>
    inpoints=inpolygon(handles.temp.xdata,handles.temp.ydata,get(handles.temp.selection,'xdata'),get(handles.temp.selection,'ydata'));
end

inpoints=inpoints & handles.isvisible{udata.view.dataset}{udata.view.analysis};

if ~handles.prefs.filteredselectable
    inpoints = inpoints & ~handles.isfiltered{udata.view.dataset}{udata.view.analysis};
end


if strcmp(get(handles.fig,'currentmodifier'),'shift')
    handles.isselected{udata.view.dataset}{udata.view.analysis}= handles.isselected{udata.view.dataset}{udata.view.analysis}|inpoints;
elseif strcmp(get(handles.fig,'currentmodifier'),'alt')
    lastselected=handles.isselected{udata.view.dataset}{udata.view.analysis};
    lastselected(inpoints)=false;
    handles.isselected{udata.view.dataset}{udata.view.analysis}= lastselected;
elseif strcmp(get(handles.fig,'currentmodifier'),'control')
    lastselected=handles.isselected{udata.view.dataset}{udata.view.analysis};
    handles.isselected{udata.view.dataset}{udata.view.analysis}= lastselected & inpoints;
else
    handles.isselected{udata.view.dataset}{udata.view.analysis}=inpoints;
end

set(handles.infobar,'string',[strtrim(sprintf('%12.0f',sum(handles.isselected{udata.view.dataset}{udata.view.analysis}))) ' points selected'])

delete(handles.temp.selection);

set(handles.fakeax(ai),'userdata',udata);

% try %these dont work on 2007b,
%     handles.axeslisteners{ai}=addlistener(handles.allgraphs(ai),'XTick','PreSet',@axeschangelistener);
%     handles.axeslisteners{ai}(2)=addlistener(handles.allgraphs(ai),'YTick','PreSet',@axeschangelistener);
%     handles.axeslisteners{ai}(3)=addlistener(handles.allgraphs(ai),'ZTick','PreSet',@axeschangelistener);
% catch
%     handles.axeslisteners{ai}=[];
% end
%update other graphs:
handles=raveupdateanalysis(src,handles,'isselected',[],udata.view.dataset,udata.view.analysis);

if handles.prefs.setxdialswhensingleselected && sum(inpoints)==1
    datasets=raveguidata(handles.fig,'datasets');
    handles.xdials{udata.view.dataset}{udata.view.analysis}=datasets.alldata{udata.view.dataset}(inpoints,:);
    raveupdateanalysis(src,handles,'xdials',[],udata.view.dataset,udata.view.analysis);
end
