function udata=raveinitializeudataternscatter(src,ev)

handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);

%make scatter graph with x=1st var, y=2nd var, z=3rd var, c=none

d=1; %default data set index

vars=find(~handles.isconstant{d},3);
try
    x=vars(1);
    y=vars(2);
    z=vars(3);
catch
    x=1;
    y=1;
    z=1;
end

%make viewtab info:
udata.view.x=x;
udata.view.y=y;
udata.view.z=z;

udata.view.campos=[];
udata.view.camtarg=[];
udata.view.hiderotate=0;
udata.view.az=-37.5;
udata.view.el=30;
udata.view.uselines=0;
udata.view.filthandles=[];
udata.view.mainhandles=[];
udata.view.selhandles=[];
udata.view.patchidx=[];

%make format tab info:
udata.format.grid=2;
udata.format.marker='o'; % marker string
udata.format.minmarkersize=25; %min marker size (pixels^2)
udata.format.maxmarkersize=625; %max marker size (pixels^2)
udata.format.markerfill=2; %marker fill style index.
%udata.format.mcheck=1; %marker check box value
udata.format.ncolor=0; %noisy colors check box value;
udata.format.boxon=0; %show bounding box of axes;
udata.format.updatedials=1; %update xdials when a single point is clicked;
