function udata=raveinitializeudatatablestatistics(src,ev)
handles=guidata(src);

udata = raveinitializeudatastandard(src,ev);


udata.view.maxpos=get(handles.fakerax(handles.activeindex),'position');

udata.view.stats={'Sample Size';
    'Mean';
    'Std Dev';
    'Variance';
    'Std Err of Mean';
    'Maximum';
    '99%';
    '95%';
    '90%';
    '75%';
    '50% (Median)';
    '25%';
    '10%';
    '5%';
    '1%';
    'Minimum'};
udata.view.x=1:numel(udata.view.stats);
udata.view.y=1;
udata.view.z=1;
udata.view.row=1;
udata.view.showcurrentpoint=true;
udata.view.colnames=handles.allnames{1};
udata.view.colwidths=100*ones(size(handles.allnames{1}));
udata.view.rowheight=16;

udata.view.rownames=udata.view.stats;
udata.view.data=zeros(numel(udata.view.rownames),numel(udata.view.colnames));
udata.view.headerheight=22;
udata.view.headerwidth=160;
udata.view.tight=1;
udata.view.hscroll=[];
udata.view.vscroll=[];
udata.view.rowheader=[];
udata.view.colheader=[];
udata.view.texthandles=[];


udata.format.colheadercolor=[222 234 241]./255;
udata.format.rowheadercolor=[222 234 241]./255;
udata.format.gridlinecolor=[.7 .7 .7];
udata.format.userowcolors=0;

udata.format.titleaxes=[];
udata.format.fontname='Arial';
udata.format.fontsize=10;
udata.format.fontstyle=0;
udata.format.textcolor=[0 0 0];
udata.format.unselectedcolor=[1 1 1];
udata.format.rowheight=[]; %for future use

