function ravemaintablerename(src,ev)
%rename a column from the main table.
handles=guidata(src);

MouseEvent=get(0,'userdata');

d=handles.maintable.d;
model=handles.maintable.models{d};

x=MouseEvent.getX;
columnModel=handles.maintable.jtable.getColumnModel();
viewcol=columnModel.getColumnIndexAtX(x); %View Index
modelcol=handles.maintable.jtable.convertColumnIndexToModel(viewcol); %model index

%turn off tablechanged callback to avoid an error:
%set(handles.maintable.models{d},'TableChangedCallback',[]);


drawnow; %MUST drawnow to get viewIndex to work correctly.

%change name:
answer=inputdlg('Enter a new name for this variable:','Rename Variable',1,handles.basenames{d}(modelcol+1));
if isempty(answer);return;end


handles.basenames{d}{modelcol+1}=answer{1};
handles.allnames{d}(modelcol+1)=ravemakevariablename(handles,d,modelcol+1);


guidata(handles.fig,handles);

%update table:
handles.maintable.jtable.getColumnModel().getColumn(viewcol).setHeaderValue(answer{1});
handles.maintable.jtable.getTableHeader().resizeAndRepaint();


%turn table callback back on:
%set(handles.maintable.models{d},'TableChangedCallback',{@ravemaintablechangedcallback,handles.fig});

