function ravechooseterms(src,ev)
handles=guidata(src);
tfig=ancestor(src,'figure');

datasetmenu=findobj(tfig,'tag','datasetmenu');
inputlist=findobj(tfig,'tag','inputlist');

newx=get(inputlist,'value');
oldx=handles.temp.settings.termsx;

if numel(newx)~=numel(oldx) || ~all(newx==oldx)
   handles.temp.settings.termmatrix=[];
   guidata(tfig,handles);
end


d=get(datasetmenu,'value');
inputvars=get(inputlist,'value');

varnames=handles.allnames{d}(inputvars);
termmatrix=ravechoosetermsgui(tfig,[],d,inputvars,varnames,handles.temp.settings.termmatrix);

didcancel=isempty(termmatrix);

allzero=sum(termmatrix,2)==0;
termmatrix=termmatrix(~allzero,:);

if ~didcancel %empty termmatrix means user hit cancel on the gui. 
    handles.temp.settings.termsx=newx;
    handles.temp.settings.termmatrix=termmatrix;
end

guidata(tfig,handles); 


%guidata(handles.fig,handles);
