function normalizeprefscheck(src,ev,peer)
%this functions runs when you click the checkbox on a preferencesliders. 
%src= the image
%peer = associated handles.activegraph
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu



handles=guidata(peer);
udata=get(handles.fakeax(handles.activeindex),'userdata');
value=get(src,'userdata');


a=get(src,'parent');

checkon=imread('checkon.bmp');
checkoff=imread('checkoff.bmp');

if value
    set(src,'cdata',checkon,'userdata',0)
else
    set(src,'cdata',checkoff,'userdata',1)
end

handles.normalizepreferences{udata.view.dataset}=value;
guidata(peer,handles);