function raveupdatedistributiontypes(src,ev)

handles=guidata(src);

raveroot=which('rave');
raveroot=raveroot(1:end-6);
handles.distributioninfo=struct;

maindir=fullfile(raveroot,'distributions');
distributiontypes=dir(maindir);

for g=3:numel(distributiontypes)
    if distributiontypes(g).isdir
        thisname=distributiontypes(g).name;
        %remove leading numbers:
        firstletter=find(isstrprop(thisname,'alpha'),1);
        keyword=thisname(firstletter:end);
        %get graphinfo:
        fid=fopen(fullfile(maindir,thisname,'distributioninfo.txt'),'r');
        
        settings=struct;
        try
            eval(['distributionsettings',keyword]);
        catch
            addpath(fullfile(maindir,thisname))
            eval(['distributionsettings',keyword]);
        end
        
        handles.distributioninfo.(keyword)=settings;
        handles.distributioninfo.(keyword).name=fgetl(fid);
        handles.distributioninfo.(keyword).description=fgetl(fid);        
        fclose(fid);
    end
end

guidata(handles.fig,handles);

