function ravevectorshot(f,ev)
%takes screenshot of ravefigure with handle f 
%should  be run from debug mode in rave.
% RAVE Rapid Analysis and Visualization Environment
% Copyright (C) 2010 Georgia Tech Research Corporation
% ALL RIGHTS RESERVED
% 
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; version 2
% of the License.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% Written by: Matthew Daskilewicz mdaskilewicz@asdl.gatech.edu


set(f,'inverthardcopy','off');

[name path]=uiputfile('*.eps','Put it somewhere');
name=ravemakevalidfilename(name);
figpos=getpixelposition(f); 
resolution=get(0,'ScreenPixelsPerInch'); 
set(f,'paperunits','inches','papersize',figpos(3:4)/resolution,'paperposition',[0 0 figpos(3:4)/resolution]); 
print(f,fullfile(path,name),'-depsc','-painters') 



